<!--<?xml version="1.0" encoding="UTF-8"?>-->
<!--<beans xmlns="http://www.springframework.org/schema/beans"-->
<!--       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"-->
<!--       xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">-->

<!--      <context:component-scan base-package="com.springsamples*"/>-->
<!--      <mvc:annotation-driven/>-->
<!--              &lt;!&ndash; this will render home page from index.html&ndash;&gt;-->
<!--      <mvc:default-servlet-handler/>-->

<!--      <bean id = "viewProvider"-->
<!--            class = "org.springframework.web.servlet.view.InternalResourceViewResolver">-->
<!--            <property name = "prefix" value = "/"/>-->
<!--            <property name = "suffix" value = ".jsp"/>-->

<!--      </bean>-->

<!--</beans>-->

<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xmlns:context="http://www.springframework.org/schema/context"
       xmlns:mvc="http://www.springframework.org/schema/mvc"
       xsi:schemaLocation="
		http://www.springframework.org/schema/beans
    	http://www.springframework.org/schema/beans/spring-beans.xsd
    	http://www.springframework.org/schema/context
    	http://www.springframework.org/schema/context/spring-context.xsd
    	http://www.springframework.org/schema/mvc
        http://www.springframework.org/schema/mvc/spring-mvc.xsd">


    <mvc:annotation-driven/>

    <context:component-scan base-package="com.currency.converter"/>

    <bean id="viewResolver" class="org.springframework.web.servlet.view.InternalResourceViewResolver">
        <property name="prefix">
            <value>/WEB-INF/view/</value>
        </property>
        <property name="suffix">
            <value>.jsp</value>
        </property>
    </bean>
</beans>



